require 'sale'
require 'reports/sales_by_date'
require 'reports/sales_by_country'
require 'reports/sales_by_shop'
require 'csv'

csv_opts = {
  :col_sep => ";",
  :skip_lines => /^(Notes|The |;)/,
  :headers => true,
  :converters => :all,
}

sales = []

CSV.foreach(ARGV[0], csv_opts) do |row|
  if row.count > 0
    sales << SalesReporter::Sale.new(row["Date"], row["revenue EUR"], row["quantity"], row["Country"], row["Shop"])
  end
end

SalesReporter::Reports::SalesByDate.render(sales)
SalesReporter::Reports::SalesByCountry.render(sales)
SalesReporter::Reports::SalesByShop.render(sales)
